Jungo WinDriver: テクニカル ドキュメント #61

WinDriver
テクニカル ドキュメント #61


Doc ID: 61
製品: WinDriver
Version:  --

Linux マシンに WinDriver をインストールしようとしましたが、カーネルに WinDriver のモジュール (windrvr6.o) を挿入しましたが、kernel version mismatch または unresolved symbols エラーが発生しました。どのように解決できますか?

Linux マシンに WinDriver をインストールする際には、カーネルをビルドするのに使用した同じヘッダ ファイルで WinDirver をコンパイルする必要があります。' #uname -a ' でご使用のカーネルのバージョン番号が分かります。
Linux はカーネルのバージョンのミスマッチに非常に厳しく、2.2.12 に対して 2.2.12-20 でさえ、ミスマッチとなります。
Linux に、(insmode オプションで) これらのエラーを強制的に無視できることもできますが、推奨いたしません。
ディレクトリ /usr/src/linux (通常シンボル リンク) が正確なカーネル ヘッダ ソースとそのヘッダ ファイルが起動してるカーネルと同じバージョン番号を使用してることを示していることをご確認ください。

詳細は、WinDriver のユーザー マニュアルを参照してください。